Get All Labels of the User

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API fetches all the labels created by the user.

Endpoints

OAuth Scope

WorkDrive.files.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/users/{team_member_id}/labels \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

team_member_idstring(Required)

The unique ID of the team member that is created when a member is added in a team.

Response Example

R008

200
200
401
Copied!
  {
    "data": [
      {
        "id": "5nek5a28a8c9201f64a07b7196524264ed528-181767000000280006",
        "type": "labels",
        "attributes": {
          "color": "8F8F8F",
          "name": "Following",
          "index": 0,
          "team_id": "5nek5a28a8c9201f64a07b7196524264ed528",
          "type": 3,
          "label_id": "181767000000280006"
        },
        "relationships": {
          "files": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/api/v1/labels/5nek5a28a8c9201f64a07b7196524264ed528-181767000000280006/relationships/files",
              "related": "https://www.zohoapis.com/workdrive/api/v1/labels/5nek5a28a8c9201f64a07b7196524264ed528-181767000000280006/files"
            }
          }
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/api/v1/labels/5nek5a28a8c9201f64a07b7196524264ed528-181767000000280006"
        }
      },
      {
        "id": "5nek5a28a8c9201f64a07b7196524264ed528-181767000000449002",
        "type": "labels",
        "attributes": {
          "color": "14A765",
          "name": "Training materials",
          "index": 1,
          "team_id": "5nek5a28a8c9201f64a07b7196524264ed528",
          "type": 1,
          "label_id": "181767000000449002"
        },
        "relationships": {
          "files": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/api/v1/labels/5nek5a28a8c9201f64a07b7196524264ed528-181767000000449002/relationships/files",
              "related": "https://www.zohoapis.com/workdrive/api/v1/labels/5nek5a28a8c9201f64a07b7196524264ed528-181767000000449002/files"
            }
          }
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/api/v1/labels/5nek5a28a8c9201f64a07b7196524264ed528-181767000000449002"
        }
      },
      {
        "id": "5nek5a28a8c9201f64a07b7196524264ed528-181767000000449001",
        "type": "labels",
        "attributes": {
          "color": "FBE983",
          "name": "Product Design",
          "index": 2,
          "team_id": "5nek5a28a8c9201f64a07b7196524264ed528",
          "type": 1,
          "label_id": "181767000000449001"
        },
        "relationships": {
          "files": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/api/v1/labels/5nek5a28a8c9201f64a07b7196524264ed528-181767000000449001/relationships/files",
              "related": "https://www.zohoapis.com/workdrive/api/v1/labels/5nek5a28a8c9201f64a07b7196524264ed528-181767000000449001/files"
            }
          }
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/api/v1/labels/5nek5a28a8c9201f64a07b7196524264ed528-181767000000449001"
        }
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Unauthorized access"
      }
    ]
  }
                
Show full